--- osc.changes.orig
+++ osc.changes
@@ -1,15 +1,48 @@
 -------------------------------------------------------------------
+Tue Sep  8 13:50:20 UTC 2009 - adrian@suse.de
+
+- update to 0.122
+  * added missing code for 'osc sr -l [ID]'
+  * allow osc cat with one parameter, if it is a url.
+  * make osc getpac really get the package (instead of branch only)!
+  * expanded several tabs to spaces.
+  * added default project to new getpac and bco subcommand. .oscrc:getpac_default_project = OpenSUSE:Factory
+    (not added to branch subcommand, to not interfere with its syntax.)
+  * add support for generic python-keyring lib, supports KWallet, Gnome keyring, MacOS and Windows.
+  * make buildhist command usable without checked out package
+  * rename old "platform/s" names to "repository/ies" (internal cleanup only)
+  * fixed osc diff -c N, it failed with int and string concatenation
+  * made osc diff and rdiff more similar: added -p, -c to rdiff, removed -u from rdiff.
+    made -u default for both, renamed --pretty to --plain as it is the opposite of -u
+  #
+  # Features which require OBS 1.7
+  #
+  * option to download server side generated _service:* files on update
+  * support for running source services locally. Happens by default on source update
+    and build.
+  * support modification flages on creation of submit request
+    (for auto update or clean up packages or to avoid it, when submit request got accepted)
+  * show request ids from package source logs
+  * added support to require local packages which don't exist in the obs for a local build. This
+    fixes #377021, #481193
+
+-------------------------------------------------------------------
 Fri Sep  4 13:38:27 UTC 2009 - lv@lekv.de
 
 - Add switch to installation in debian/rules to correctly install on debian-based systems
 
 -------------------------------------------------------------------
+Fri Sep  4 18:51:38 UTC 2009 - adrian@suse.de
+
+- update to version 0.122 pre 1
+
+-------------------------------------------------------------------
 Thu Sep  3 12:33:42 UTC 2009 - adrian@suse.de
 
 - switch to noarch package for > 11.1
 
 -------------------------------------------------------------------
-Tue Sep  1 12:18:45 UTC 2009 - adrian@novell.com
+Tue Sep  1 12:18:45 UTC 2009 - adrian@suse.de
 
 - update to version 0.121.1
   * fix creation of new .osrc (#535919)
--- osc.dsc.orig
+++ osc.dsc
@@ -1,6 +1,6 @@
 Format: 1.0
 Source: osc
-Version: 0.121.1-1
+Version: 0.122-1
 Binary: osc
 Maintainer: Adrian Schroeter <adrian@suse.de>
 Architecture: any
--- osc.spec.orig
+++ osc.spec
@@ -15,12 +15,11 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 
 Name:           osc
 BuildRequires:  python-devel
-Version:        0.121.1
+Version:        0.122
 Release:        1
 Group:          Development/Tools/Other
 License:        GPL v2 or later
@@ -28,7 +27,7 @@ BuildRoot:      %{_tmppath}/%{name}-%{ve
 Url:            https://forgesvn1.novell.com/svn/opensuse/trunk/buildservice/src/clientlib/python/osc/
 # v=0.114; svn export https://forgesvn1.novell.com/svn/opensuse/trunk/buildservice/src/clientlib/python/osc osc-$v && tar czf osc-$v.tar.gz osc-$v
 Source:         osc-%{version}.tar.gz
-Summary:        openSUSE Build Service Commander
+Summary:        OpenSUSE Build Service Commander
 Requires:       python-urlgrabber
 #
 %if 0%{?suse_version}
@@ -39,10 +38,10 @@ Requires:       python-elementtree
 BuildRequires:  python-xml
 Requires:       python-xml
 %endif
-%if %suse_version > 1110
+%if 0%{?suse_version} > 1110
 BuildArch:      noarch
 %endif
-%if %suse_version > 1000
+%if 0%{?suse_version} > 1000
 Recommends:     rpm-python
 Recommends:     build > 2009.06.03
 %endif
@@ -73,11 +72,16 @@ CFLAGS="%{optflags}" \
 %{__python} setup.py install --prefix=%{_prefix} --root %{buildroot}
 ln -s osc-wrapper.py %{buildroot}/%{_bindir}/osc
 mkdir -p %{buildroot}/var/lib/osc-plugins
-mkdir -p %{buildroot}%{_prefix}/%{_lib}/osc
 mkdir -p %{buildroot}%{_sysconfdir}/profile.d
-install -m 0755 dist/osc.complete %{buildroot}%{_prefix}/%{_lib}/osc/complete
 install -m 0755 dist/complete.csh %{buildroot}%{_sysconfdir}/profile.d/osc.csh
 install -m 0755 dist/complete.sh %{buildroot}%{_sysconfdir}/profile.d/osc.sh
+%if 0%{?suse_version} > 1110
+mkdir -p %{buildroot}%{_prefix}/lib/osc
+install -m 0755 dist/osc.complete %{buildroot}%{_prefix}/lib/osc/complete
+%else
+mkdir -p %{buildroot}%{_prefix}/%{_lib}/osc
+install -m 0755 dist/osc.complete %{buildroot}%{_prefix}/%{_lib}/osc/complete
+%endif
 
 %clean
 %{__rm} -rf %{buildroot}
@@ -87,8 +91,13 @@ install -m 0755 dist/complete.sh %{build
 %{_bindir}/osc*
 %{python_sitelib}/*
 %{_sysconfdir}/profile.d/*
+%if 0%{?suse_version} > 1110
+%dir %{_prefix}/lib/osc
+%{_prefix}/lib/osc/*
+%else
 %dir %{_prefix}/%{_lib}/osc
 %{_prefix}/%{_lib}/osc/*
+%endif
 %dir /var/lib/osc-plugins
 %doc AUTHORS README TODO NEWS
 %doc %_mandir/man1/osc.*
